Subject: bug#32943: grep pattern < fifo fails on Cygwin (and MinGW), but not on Linux

From: Paul Eggert <[email-masked]>
Date: Sat, 6 Oct 2018 16:45:46 -0700

Houder wrote:

> Old version? The version used by Cygwin is based on 3.0. As far as I can
> tell, the most recent tarball is 3.1 ?????

Yes, that's the most recent release.

When building grep 3.1 for use with GDB, I suggest turning off optimization. 
Something like this:

make clean
make CFLAGS='-g3'

> I did investigate using gdb and had a hard time getting a useful result
> because of the indirection (grep . < fifo).

Try running grep as follows

$ gdb src/grep
...
(gdb) run . < fifo

> (gdb) bt
> #0  suppressible_error (errnum=22) at /usr/src/debug/grep-3.0-2/src/grep.c:595
...
That stack trace is coming from grep 3.0. Please debug grep 3.1 instead.